clang-tools 10.0.0

Classes | Namespaces
PreferIsaOrDynCastInConditionalsCheck.h File Reference
`#include "../ClangTidyCheck.h"`
Include dependency graph for PreferIsaOrDynCastInConditionalsCheck.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::tidy::llvm_check::PreferIsaOrDynCastInConditionalsCheck
| Looks at conditionals and finds and replaces cases of `cast<>`, which will assert rather than return a null pointer, and `dyn_cast<>` where the return value is not captured. More...

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tidy
| clang::tidy::llvm_check